Package net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl

# Class SimpleAggregationSAMLDataConnectorParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser
net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser
net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl.AbstractSAMLDataConnectorParser
net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl.SimpleAggregationSAMLDataConnectorParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class SimpleAggregationSAMLDataConnectorParser extends AbstractSAMLDataConnectorParser
Bean definition Parser for a `SimpleAggregationSAMLDataConnector`.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl.AbstractSAMLDataConnectorParser

`AbstractSAMLDataConnectorParser.CustomPropertyDef, AbstractSAMLDataConnectorParser.CustomPropertyValue`

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final Map<String,AbstractSAMLDataConnectorParser.CustomPropertyDef>`
`CUSTOM_PROPERTY_DEFS`
Map of custom property definitions for bean wiring.
`private static final QName`
`ENTITY`
QName of <Entity> child element.
`private static final QName`
`ENTITY_REF`
QName of <EntityReference> child element.
`private final org.slf4j.Logger`
`log`
Class logger.
`static final QName`
`TYPE_NAME`
Schema type - resolver.

### Fields inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser

`ATTR_EXPORT_NAMES, ATTR_FAIL_FAST, ATTR_NORETRYDELAY, ELEMENT_NAME, FAIL_FAST_DEFAULT, FAILOVER_DATA_CONNECTOR_ELEMENT_NAME`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`SimpleAggregationSAMLDataConnectorParser()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element config, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected BeanDefinition`
`getAuthorityEntityIDStrategy(Element config, ParserContext parserContext)`
Get the bean definition for the `AttributeAuthorityEntityIDResolver`.
`protected Class<SimpleAggregationSAMLDataConnector>`
`getBeanClass(Element element)`
`protected BeanDefinition`
`getSelfEntityIDStrategy(Element config, ParserContext parserContext)`
Get the bean definition for the `SelfEntityIDResolver`.
`protected BeanDefinition`
`getSubjectStrategy(Element config, ParserContext parserContext)`
Get the bean definition for the `SubjectResolver`.

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.saml.impl.AbstractSAMLDataConnectorParser

`addCustomProperties, getResolvedCustomProperty, parseAssertionValidationProcessor, parseDecryptionProcessor, parseMappingStrategy, parseQueryBuilder, parseSAMLDataConnector, parseSubjectMatchProcessor, resolveAndStoreCustomProperties`

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser

`getLogPrefix`

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser

`failOnDependencies, getActivationCondition, getDefinitionId, warnOnDependencies`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME

@Nonnull public static final QName TYPE_NAME
Schema type - resolver.

### CUSTOM_PROPERTY_DEFS

@Nonnull private static final Map<String,AbstractSAMLDataConnectorParser.CustomPropertyDef> CUSTOM_PROPERTY_DEFS
Map of custom property definitions for bean wiring.

### ENTITY

private static final QName ENTITY
QName of <Entity> child element.

### ENTITY_REF

private static final QName ENTITY_REF
QName of <EntityReference> child element.

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### SimpleAggregationSAMLDataConnectorParser

public SimpleAggregationSAMLDataConnectorParser()
Constructor.

## Method Details

### getBeanClass

@Nullable protected Class<SimpleAggregationSAMLDataConnector> getBeanClass(@Nonnull Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractDataConnectorParser`

### getAuthorityEntityIDStrategy

@Nonnull protected BeanDefinition getAuthorityEntityIDStrategy(@Nonnull Element config, @Nonnull ParserContext parserContext)
Get the bean definition for the `AttributeAuthorityEntityIDResolver`.

Specified by:
  `getAuthorityEntityIDStrategy` in class `AbstractSAMLDataConnectorParser`
Parameters:
  `config` - the configuration element
  `parserContext` - the current parser context
Returns:
  the bean definition

### getSelfEntityIDStrategy

@Nonnull protected BeanDefinition getSelfEntityIDStrategy(@Nonnull Element config, @Nonnull ParserContext parserContext)
Get the bean definition for the `SelfEntityIDResolver`.

Specified by:
  `getSelfEntityIDStrategy` in class `AbstractSAMLDataConnectorParser`
Parameters:
  `config` - the configuration element
  `parserContext` - the current parser context
Returns:
  the bean definition

### getSubjectStrategy

@Nonnull protected BeanDefinition getSubjectStrategy(@Nonnull Element config, @Nonnull ParserContext parserContext)
Get the bean definition for the `SubjectResolver`.

Specified by:
  `getSubjectStrategy` in class `AbstractSAMLDataConnectorParser`
Parameters:
  `config` - the configuration element
  `parserContext` - the current parser context
Returns:
  the bean definition